app/comment/forms.py
# -*- coding:utf8 -*-
'''
User Form.
'''
from flask.ext.wtf import Form
from wtforms import StringField, PasswordField, BooleanField, SubmitField, TextAreaField, SelectField
from wtforms.validators import Required, Length, Email, Regexp, EqualTo, ValidationError
from ..models import User, Role
from flask import current_app

class CommentForm(Form):
    comment = TextAreaField('记录你的声音', validators=[Required()])
    submit = SubmitField('提交')

    def validate_comment(self, filed):
        if len(filed.data) > current_app.config['COMMENT_MAX_LEN']:
            ValidationError('评论不可超过'+ current_app.config['COMMENT_MAX_LEN'] +'个字符！！')

app/comment/__init__.py
# -*- coding:utf8 -*-
'''
index page.
'''
__all__ = []
__version__ = '0.0.1'
__author__ = 'GalaIO'

from flask import Blueprint
import app
from ..models import Remark_Attitude

# 通过实例化一个 Blueprint 类对象可以创建蓝本。
comment = Blueprint('comment', __name__)
# 动态加载到app的路由链表中
app.fetchRoute(comment, '/comment')


# 把简评模型条件填充到模板中
@comment.app_context_processor
def inject_permission():
    return dict(Remark_Attitude=Remark_Attitude)



from . import views

app/comment/views.py
# -*- coding:utf8 -*-
'''
index route.
'''
from flask import render_template, redirect, url_for, abort, flash, request, current_app
from . import comment
from ..models import User, Role, Post, Permission, Comment
from flask.ext.login import login_required, current_user
from .forms import CommentForm
from .. import db
from .. import messages
from ..decorators import admin_required, permission_required

'''
# 赞同某评论
@comment.route('/agree/<int:id>')
@login_required
@permission_required(Permission.COMMENT)
def agree(id):

'''
# 删除某评论
# 文章所属人、评论人和管理员都可以删除评论
@comment.route('/delete/<int:id>')
@login_required
def delete(id):
    comment = Comment.query.get_or_404(id)
    access = current_user == comment.post.author or current_user == comment.author or current_user.can(Permission.MODERATE_ARTICLES)
    post_id = request.args.get('post_id')
    if access == False and comment.post_id != post_id:
        abort(404)
    # 通过过滤条件
    db.session.delete(comment)
    return redirect(url_for('main.post', id=post_id))

@comment.route('/remark/<int:id>')
@login_required
def remark(id):
    comment = Comment.query.get_or_404(id)
    post_id = int(request.args.get('post_id'))
    attitude = int(request.args.get('attitude'))
    if comment.post_id != post_id:
        abort(404)
    # 通过过滤条件
    if False == comment.remark_it(attitude, current_user.id):
        flash(messages.comment_remark_again_err)
    return redirect(url_for('main.post', id=post_id))

app/templates/_comment.html
<div class="comment-box dis-none" style="display: block;">
    <div class="comment-title" title="Click to Collapse">
        <span class="comment-count">{{ post.comments.count() }}</span> 所有评论  <span class="caret"></span>
    </div>
    <div class="comment-input">

    <form action="" method="post" class="form" role="form">

            <script type="text/javascript">f = function() {
                function edit_tab(obj){
                  if (event.keyCode == 9)
                  {
                     obj.value = obj.value + "    "; // 跳几格由你自已决定
                     event.returnValue = false;
                  }
                }
                if (typeof flask_pagedown_converter === "undefined") {
                    //flask_pagedown_converter = Markdown.getSanitizingConverter().makeHtml;
                    flask_pagedown_converter = marked;
                }
                var textarea = document.getElementById("flask-pagedown-post-comment");
                var preview = document.getElementById("flask-pagedown-post-comment-preview");
                textarea.onkeyup = function() { preview.innerHTML = flask_pagedown_converter(textarea.value); }
                textarea.onkeyup.call(textarea);
                }
                if (document.readyState === 'complete')
                    f();
                else if (window.addEventListener)
                    window.addEventListener("load", f, false);
                else if (window.attachEvent)
                    window.attachEvent("onload", f);
                else
                    f();
            </script>
        {{ form.csrf_token }}
        <div class="form-group  required"><label class="control-label" for="comment">记录你的声音</label>
            <div class="flask-pagedown"><textarea class="form-control flask-pagedown-input" id="flask-pagedown-post-comment" name="comment" required="" onkeydown="edit_tab(this)"></textarea></div>
            <div class="markdown" id="flask-pagedown-post-comment-preview"></div>
        </div>

        <input class="btn btn-default" id="submit" name="submit" type="submit" value="提交">
    </form>
    </div>
    <ul class="threads" style="display: block;">
        {% for comment in post.comments %}
        <li class="dis-none thread" style="display: list-item;">
            <div class="command">
                {% if current_user.is_anonymous %}
                <i class="fa fa-user"></i> <span class="user_name"><a href="">{{ comment.author.username }}</a></span>
                {% else %}
                <i class="fa fa-user"></i> <span class="user_name"><a href="{{ url_for('user.profile', username=comment.author.username) }}">{{ comment.author.username }}</a></span>
                {% endif %}
                <i class="fa fa-clock-o"></i> <abbr class="date timeago text-muted">{{ moment(comment.timestamp).fromNow() }}</abbr>
                <div class="pull-right">
                    <a class="stats" stats_type="Comment" name="like_count" oper="increase"
                        href="{{ url_for('comment.remark', id=comment.id, post_id=comment.post.id, attitude=Remark_Attitude.AGREE_WITH) }}" title="赞同"><i class="fa fa-thumbs-o-up"></i>{{ comment.remark_count(Remark_Attitude.AGREE_WITH) }}
                    </a>&nbsp;
                    <a class="stats" stats_type="Comment" name="unlike_count" oper="increase"
                        href="{{ url_for('comment.remark', id=comment.id, post_id=comment.post.id, attitude=Remark_Attitude.DISAGREE_WITH) }}" title="反对"><i class="fa fa-thumbs-o-down"></i>{{ comment.remark_count(Remark_Attitude.DISAGREE_WITH) }}
                    </a>&nbsp;
                    <a class="reply-comment" href="javascript:" title="回复"><i class="fa fa-reply"></i></a>&nbsp;
                    {% if current_user.can(Permission.MODERATE_USERS) or comment.author == current_user%}
                    <a class="delete-comment" href="{{ url_for('comment.delete', id=comment.id, post_id=comment.post.id) }}" title="删除"><i class="fa fa-trash-o"></i></a>&nbsp;
                    {% endif %}
                </div>
            </div>
            <!--防止转义-->
            <div id="repeat-item">
            <textarea id="flask-pagedown-comment" style="display: none; ">{{ comment.body | safe }}</textarea>
            <div class="markdown" id="flask-pagedown-comment-preview"></div></div>
            <script type="text/javascript">
                /*$(document).ready(function() {
                    var preview = document.getElementById("flask-pagedown-comment-preview");
                    preview.innerHTML = marked(document.getElementById("flask-pagedown-comment").value);
                });*/
                $(document).ready(function(){
                    $("div[id=repeat-item]").each(function(){
                        $(this).children('#flask-pagedown-comment-preview').get(0).innerHTML = marked( $(this).children("#flask-pagedown-comment").get(0).value);
                    });
                });
            </script>
        </li>
        {% endfor %}
    </ul>
</div>

app/templates/_list.html
{% block script %}
<script type="text/javascript">
    $(document).ready(function(){
        var $container = $(".container-list");

        var show_post = function(post, scrollto){
            post.post_date = post.post_date.to_date();
            post.updated_date = post.updated_date.to_date();

            show_list_menu(post);

            var $post = get_post_div(post);

            $post = build_post_panel($post, post);
            build_thumbnails($(".post-thumbnails", $post), post, "thumbnails_"+post.id, ".post-thumbnails");

            build_post_body($post, post);

            reset_scroll();
            $post.show();
            scrollto && $post.scrollto(120).addClass("active");
        };

        var get_post_div = function(post){
            var $post = $("#post_"+post.id);
            //$post.remove();
            //$post = $("#post_"+post.id);
            if ($post.length <= 0){
                $post = $("#post_template").clone();

                var $posts = $(".post", $container).not(".sticky");
                if (post.sticky){
                    $post.addClass("sticky");
                    if ($posts.length>0){
                        $posts.first().before($post);
                    } else {
                        $container.append($post);
                    }
                } else {
                    var found = false;
                    for ( var i=0; i<$posts.length; i++ ){
                        var $p = $($posts[i]);
                        {% if category.order == "desc" %}
                            if ( get_post_date($p) < post.post_date )
                            {
                                $p.before($post);
                                found = true;
                                break;
                            }
                        {% else %}
                            if ( get_post_date($p) > post.post_date )
                            {
                                $p.after($post);
                                found = true;
                                break;
                            }
                        {% endif %}
                    }
                    if (!found){
                        $container.append($post);
                    }
                }

                $post.attr("id", "post_{0}".format(post.id));
                var $comments_panel = $(".comments_panel", $post);
                $(".cmdbar .comment", $post).click(function(){
                    $comments_panel.show();
                    var comment = new Comment(md2html);
                    comment.show_comments($comments_panel,  post.id);
                });

                $(".cmdbar .stats", $post).click(function(){
                    var $this = $(this);
                    var $icon = $this.find("i").clone();
                    $.json_action("stats",{
                        stats_type: $.toJSON($this.attr("stats_type")),
                        id: $.toJSON(post.id),
                        oper: $.toJSON($this.attr("oper")),
                        name: $.toJSON($this.attr("name"))
                    },function(resp){
                        $this.empty();
                        $this.append($icon);
                        $this.append(resp.stats[$this.attr("name")]);
                    },function(err){
                        bootbox.alert(err);
                    });
                    $this.unbind("click");
                });


            }
            return $post;
        };

        var $list_menu = $(".list-menu");

        var get_list_menu = function(post){
            var $menu = $("#list_menu_"+post.id);
            if ($menu.length <= 0){
                $menu = $("#list_menu_template").clone();
                $menu.attr("id", "list_menu_{0}".format(post.id));
                $list_menu.append($menu);
            }
            return $menu;
        };
        var show_list_menu = function(post){
            var $menu = get_list_menu(post);

            if (post.public) {
                $menu.removeClass("text-muted");
                $(".post-hide", $menu).text("").hide();
            } else {
                $menu.addClass("text-muted");
                $(".post-hide", $menu).text("{{ _("Hidden") }}").show();
            }
            if(post.sticky) {
                $(".post-sticky", $menu).show();
            } else {
                $(".post-sticky", $menu).hide();
            }

            $("a", $menu).attr("href", "#post_"+post.id);
            $(".name", $menu).text(post.title);
            $(".post-date", $menu).text(post.post_date.format("yyyy-MM-dd"));

            $menu.unbind("click");
            $menu.click(function(){
                active_menu($menu);
                return false;
            });

            $menu.show();
            resize_list_holder();
        };
        var active_menu = function($menu){
            if ($menu && $menu.length > 0){
                $list_menu.find("li").removeClass("active");
                $container.find(".post").removeClass("active");
                $menu.addClass("active");
                reset_scroll();
                $("#post_"+$menu.attr("id").replace("list_menu_", "")).scrollto(120).addClass("active");
            }
        };
        var stop_scroll = false;
        var reset_scroll = function(delay){
            delay = delay || 2000;
            stop_scroll = true;
            window.setTimeout(function(){
                stop_scroll = false;
            }, delay);
            return true;
        };
        $(window).scroll($.debounce(500, function(){
            if (!stop_scroll) {
                var $posts = $(".post");
                var current = $posts.filter(function() {
                    return $(this).offset().top > $(document).scrollTop()+20 &&
                            $(this).offset().top < $(document).scrollTop()+220;
                });
                current = $(current[0]);
                if (current.length > 0){
                    var $menu = $("#list_menu_"+current.attr("id").replace("post_", ""))
                    $list_menu.find("li").removeClass("active");
                    $menu.addClass("active");
                    $container.find(".post").removeClass("active");
                    current.addClass("active");
                }
            }
        }));

        var $list_holder = $(".list-holder");
        var $slider_bar = $(".slider-bar");
        var resize_list_holder = function(){
            if ($slider_bar.css("position") === "fixed"){
                $list_holder.height($slider_bar.height()/2+40);
                $list_holder.outerWidth($slider_bar.outerWidth());
            } else {
                $list_holder.height(0);
            }
        };
        resize_list_holder();

        $(window).resize(function() {
            resize_list_holder();
            bind_img_info($(".post-body", $container), 200, 150);
        });

        $(".load-more-post").click(function() {
            load_posts(show_post);
        });

        load_posts(show_post);

        bind_shortcuts($list_menu, active_menu, show_post);
        {% if user.is_admin() %}
        var post_callback = function(post_data){
            editor.hide();
            show_post(post_data, true);
        };
        editor = new Editor(md_converter, post_callback);
        $("#new-post").click(function(){
            editor.new_post();
        });
        {% endif %}
    });
</script>
{% endblock %}

{% block body %}
{% include "__post_script.html" %}
<div class="row">
    {% if user.is_admin() %}
      <!-- Editor -->
      {% include "_editor.html" %}
    {% endif %}
    <!-- Post Template -->
    <div id="post_template" class="post dis-none panel panel-default">
      <input type="hidden" class="date_val" />
      <div class="panel-heading">
          <div class="post-title">
            <span class=""><img src="" class="avatar avatar32"/></span>
            <span class="post-sticky dis-none" title="{{ _("Sticky") }}"></span>
            <span class="label label-default post-hide dis-none"></span>
            <a href="" class="title"></a>
            {% if user.is_admin() %}
            <div class="menu btn-group pull-right">
                <a class="dropdown-toggle" data-toggle="dropdown" href="">
                    <h4><i class="fa fa-toggle-down text-default"></i></h4>
                </a>
                <ul class="dropdown-menu">
                    <li><a class="menu-edit" href="javascript:;">{{ _("Edit") }}</a></li>
                    <li><a class="menu-delete" href="javascript:;">{{ _("Delete") }}</a></li>
                </ul>
            </div>
            {% endif %}
            <div class="pull-right">
                <div class="tags"></div>
            </div>
        </div>
      </div>
      <div class="panel-body">
        <div class="post-body">
        </div>
        <div class="post-thumbnails dis-none"></div>
        <div style="clear: both"></div>
      </div>
      <div class="panel-footer">
          <small>
          <i class="fa fa-clock-o"></i> <span class="post-date"></span>
          <span class="cmdbar pull-right">
            <i class="fa fa-user"></i> <span class="post-author"></span>&nbsp;
            <i class="fa fa-eye"></i> <span class="post-viewed"></span>&nbsp;
            <button class="share btn btn-default btn-xs" title="{{ _("Share") }}">
                <i class="fa fa-share"></i></button>
            <button class="stats btn btn-default btn-xs" stats_type="Post" name="like_count" oper="increase"
                title="{{ _("Like") }}"><i class="fa fa-thumbs-o-up"></i>
            </button>
            <button class="stats btn btn-default btn-xs" stats_type="Post" name="unlike_count" oper="increase"
                title="{{ _("Unlike") }}"><i class="fa fa-thumbs-o-down"></i>
            </button>
            <button class="comment btn btn-default btn-xs" title="{{ _("Comment") }}">
                <i class="fa fa-comment-o"></i></button>
          </span>
          <div class="clearfix"></div>
          </small>
      </div>
      <div class="comments_panel dis-none"></div>
    </div>
    <!-- End Post Template -->

<!-- Menu and Posts -->
    <div class="col-lg-3 slider-bar well">
        <li class="dis-none" id="list_menu_template">
            <a href="javascript:;" class="">
                <span class="post-sticky dis-none" title="{{ _("Sticky") }}"></span>
                <span class="label label-default post-hide dis-none"></span>
                <span class="name">template</span>
                <br><i class="fa fa-clock-o text-muted"></i> <span class="post-date text-muted"></span>
            </a>
        </li>
        <ul class="nav nav-pills nav-stacked list-menu">
        </ul>
        <p class="text-center">
            <button class="load-more-post btn btn-block btn-info dis-none">{{ _("More") }}...</button>
            <img class="post-loading loading" src="{{ settings.MirrorSite }}/static/images/posts_loading.gif" alt="{{ _("loading") }}..."/>
        </p>
    </div>
    <div class="col-lg-3 list-holder">
    </div>
    <div class="col-lg-7">
        <div class="container-list"></div>
        <p class="text-center">
            <button class="load-more-post btn btn-block btn-info dis-none">{{ _("More") }}...</button>
            <img class="post-loading loading" src="{{ settings.MirrorSite }}/static/images/posts_loading.gif" alt="{{ _("loading") }}..."/>
        </p>
    </div>
    <div class="clearfix"></div>
</div>
<!-- End Menu and Posts -->
<!-- Comments -->
{% include "__comment.html" %}
{% endblock %}

app/templates/_macros.html
{% macro pagination_widget(pagination, endpoint, fragment='') %}
<ul class="pagination">
    <li{% if not pagination.has_prev %} class="disabled"{% endif %}>
        <a href="{% if pagination.has_prev %}{{ url_for(endpoint, page=pagination.prev_num, **kwargs) }}{{ fragment }}{% else %}#{% endif %}">
            &laquo;
        </a>
    </li>
    {% for p in pagination.iter_pages() %}
        {% if p %}
            {% if p == pagination.page %}
            <li class="active">
                <a href="{{ url_for(endpoint, page = p, **kwargs) }}{{ fragment }}">{{ p }}</a>
            </li>
            {% else %}
            <li>
                <a href="{{ url_for(endpoint, page = p, **kwargs) }}{{ fragment }}">{{ p }}</a>
            </li>
            {% endif %}
        {% else %}
        <li class="disabled"><a href="#">&hellip;</a></li>
        {% endif %}
    {% endfor %}
    <li{% if not pagination.has_next %} class="disabled"{% endif %}>
        <a href="{% if pagination.has_next %}{{ url_for(endpoint, page=pagination.next_num, **kwargs) }}{{ fragment }}{% else %}#{% endif %}">
            &raquo;
        </a>
    </li>
</ul>
{% endmacro %}

app/templates/_text.html
{% block script %}
    <script type="text/javascript" src="{{ settings.MirrorSite }}/static/assets/pagedown/Markdown.Converter.js"></script>
    <script type="text/javascript" src="{{ settings.MirrorSite }}/static/assets/pagedown/Markdown.Extra.js"></script>
    {% if user.is_admin() %}
    <script type="text/javascript" src="{{ settings.MirrorSite }}/static/assets/paste.js"></script>
    <script type="text/javascript" src="{{ settings.MirrorSite }}/static/assets/pagedown/Markdown.Editor.js"></script>
    {% endif %}
    <script type="text/javascript">
        $(document).ready(function(){
            var converter = new Markdown.Converter();
            Markdown.Extra.init(converter, {
                table_class: "table table-hover table-striped"
            });

            var md2html = converter.makeHtml;

            var page_content = $("#wmd-input");
            var page = $("#wmd-preview");

            var show_page = function(){
                page.html(md2html(page_content.val()));
                setTimeout(function(){
                    $("pre>code", page).parent().addClass("prettyprint");
                    prettyPrint();
                }, 100);
                page.imagesLoaded(function(){
                    $("img", page).image_box(150, 120, "page", "#wmd-preview");
                    $("img", page).image_info(150, 120);
                });
            };
            show_page();

            {% if user.is_admin() %}
            var page_editor = $("#page_editor");
            var inputs = $("input,select,textarea", page_editor).not("[type=submit]");

            var md_editor = new Markdown.Editor(converter);
            md_editor.run();

            md_editor.hooks.chain("onPreviewRefresh", function () {
                show_page();
                $("textarea", page_editor).focus();
            });

            var upload_photo = function(data, callback){
                var settings = { binary : $.toJSON(data.replace(/^.+,/,"")) };
                $.json_action("photo/upload",
                    settings,
                    function(resp){
                        callback && callback(resp.photo);
                    },function(err){
                        bootbox.hideAll();
                        bootbox.alert(err);
                    }
                );
            };

            var enable_paste_image = function($input_elem) {
                $input_elem.each(function(i, el){
                    var paste = (new $.paste()).appendTo('body')
                        .on('pasteImage', function(ev, data){
                            bootbox.dialog({
                                message: "{{ _("Paste Image Uploading ......") }}",
                                closeButton: false
                            });
                            upload_photo(data.dataURL, function(photo){
                                bootbox.hideAll();
                                md_editor.addText("\n![{0}]({1})\n".format(photo.alt, photo.url));
                            });
                        });
                    $(el).on('paste', function(ev){
                        paste.trigger(ev);
                    });
                });
            };

            enable_paste_image(page_content);


            $("#save_page").click(function(){
                $.json_action(page_editor.attr("data-action"),
                        $.json_options(inputs),
                        function(resp){
                            show_page();
                            page_editor.hide();
                        },function(err){
                            bootbox.alert(err);
                        }
                );
            });
            $("#cancel").click(function(){
                page_editor.hide();
            });

            // change top bar button
            var $btn_edit = $("#new-post");
            $btn_edit.html('<i class="fa fa-pencil"></i> {{ _("Edit Page") }}');
            $btn_edit.click(function(){
                page_editor.show();
                $("textarea", page_editor).focus();
            });
            {% endif %}
        });
    </script>
{% endblock %}

{% block body %}
<div class="container container-fluid">
    <div class="row">
        <div id="page_editor" class="dis-none wmd-panel col-lg-12" data-action="category/update">
            <input type="hidden" name="id" value="{{ category.id }}"/>
            <div id="wmd-button-bar" class="wmd-button-bar"></div>
            <div class="col-lg-12">
            <textarea rows="16" class="form-control"
                      id="wmd-input" name="content">{{ category.content or ""|default("")|safe }}</textarea>
            </div>
            <div class="col-lg-12">
            <button id="save_page" class="btn btn-primary">{{ _("Save") }}</button>
            <button id="cancel" class="btn">{{ _("Cancel") }}</button>
            </div>
            <div class="col-lg-12">
            <hr/>
            </div>
        </div>
        <div id="wmd-preview" class="wmd-panel col-lg-12"></div>
    </div>
</div>
{% endblock %}

app/templates/_timeline.html
{% block body %}
<div class="timeline-page">
    <div class="row">
        <div class="col-md-offset-3 col-md-9 col-xs-12">
            <table class="col-xs-11">
                <tr>
                    <td class="timeline"></td>
                    <td>
                        <div class="container-timeline">
                            {% for post in posts %}
                            <div class="post dis-none sticky" style="display: block;" >
                                <div class="post-date" style="font-size: 12pt">
                                    <span>{{ moment(post.timestamp).fromNow() }}</span>
                                </div>
                                {% if current_user.can(Permission.MODERATE_USERS) %}
                                <div class="menu btn-group pull-right">
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="">
                                        <h4><i class="fa fa-toggle-down text-default"></i></h4>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li><a class="menu-delete" href="{{ url_for('main.delete', id=post.id) }}">删除</a></li>
                                        <li><a class="menu-update" href="{{ url_for('main.edit', id=post.id) }}">修改</a></li>
                                    </ul>
                                </div>
                                {% endif %}
                                <span class=""><a href="{{ url_for('user.profile', username=post.author.username) }}"><img src="{{ post.author.avatar_url_auto(size=40) }}" class="avatar avatar32"/></a></span>
                                <span class="label label-default pull-left post-hide dis-none"></span>
                                <span class="post-sticky dis-none" title="置顶"></span>
                                <span class="post-title"><a class="title" href="{{ url_for('main.post', id=post.id) }}">{{ post.title }}</a></span>
                                <ul class="tags">
                                    {% for tag in post.tags %}
                                    <a href="{{ url_for('main.tags', tagname=tag.content) }}">{{ tag.content }}</a>
                                    {% endfor %}
                                </ul>
                                <!--防止转义-->
                                <div id="repeat-item">
                                <textarea id="flask-pagedown-body" rows="3" cols="20" style="display: none; ">{{ post.abstarct | safe }}</textarea>
                                <div class="markdown" id="flask-pagedown-body-preview"></div>
                                </div>
                                <div class="thumbnails dis-none"></div>
                                <div class="clearfix"></div>
                                <a class="post-category" href="{{ url_for('user.profile', username=post.author.username) }}"><i class="icon-th-large icon-white"></i>{{ post.author.username }}</a>
                                <div class="cmdbar">
                                    <i class="fa fa-eye"></i> <span class="post-viewed">{{ post.viewed_count }}</span>
                                    &nbsp;<a class="share" href="" title="分享"><i class="fa fa-share"></i></a>
                                    &nbsp;<a class="stats" stats_type="Post" name="like_count" oper="increase"
                                       href="" title="关注"><i class="fa fa-heart"></i>{{ post.concern_users.count() }}</a>
                                    &nbsp;<a class="stats" stats_type="Post" name="like_count" oper="increase"
                                       href="" title="赞同"><i class="fa fa-thumbs-o-up"></i>{{ post.remarkPost_count(Remark_Attitude.AGREE_WITH) }}</a>
                                    &nbsp;<a class="stats" stats_type="Post" name="unlike_count" oper="increase"
                                       href="" title="反对"><i class="fa fa-thumbs-o-down"></i>{{ post.remarkPost_count(Remark_Attitude.DISAGREE_WITH) }}</a>
                                    &nbsp;<a class="comment" href="" title="评论"><i class="fa fa-comment-o"></i>{{ post.comments.count() }}</a>
                                </div>
                                <div class="comments_panel dis-none"></div>
                            </div>
                            {% endfor %}
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>
<script type="text/javascript" src="/static/js/marked.min.js"></script>
<script type="text/javascript">
	/*$(document).ready(function() {
        $('[id=repeat-item]').each(function(index){
            alert($(this));
            alert($(this).children("#flask-pagedown-body"));
            alert($(this).children('#flask-pagedown-body-preview'));
            $(this).children('#flask-pagedown-body-preview').innerHTML = marked( $(this).children("#flask-pagedown-body").value);
        });
        //var preview = document.getElementById("flask-pagedown-body-preview");
        //preview.innerHTML = marked(document.getElementById("flask-pagedown-body").value);
	});*/
    $(document).ready(function(){
        $("div[id=repeat-item]").each(function(){
            $(this).children('#flask-pagedown-body-preview').get(0).innerHTML = marked( $(this).children("#flask-pagedown-body").get(0).value);
        });
    });
</script>
{% endblock %}

app/templates/index.html
{% extends "base.html" %}
{% import "_macros.html" as macros %}

{% block header %}
{% endblock %}

{% block title %}
GalaCoding - 广场
{% endblock %}

{% block page_content %}
{% set template = "_timeline.html" %}
{% include template %}
    <div class="pagination">
        {{ macros.pagination_widget(pagination, 'main.index') }}
    </div>
{% endblock %}